diff --git a/data/sarge/f3.txt b/data/sarge/f3.txt
index 40138bc7..ea4b32c2 100644
--- a/data/sarge/f3.txt
+++ b/data/sarge/f3.txt
@@ -5,8 +5,6 @@
   Start the installation -- this is the default CDROM install.
 0fnet07
   Start the installation for a network install.
-0fcdrom14407
-  Start the installation with the cdrom144 flavor.
 
 Press <09ENTER07> or type boot method, arguments, and <09ENTER07> to boot.
 Press function key <09F107> for the help index.
diff --git a/tasks/debian-installer b/tasks/debian-installer
index e0b7e4e1..bd9f3161 100644
--- a/tasks/debian-installer
+++ b/tasks/debian-installer
@@ -3,7 +3,7 @@
  * This list can be generated with the command:
  * ../tools/generate_di_list
  *
- * Last update: Thu Aug 14 20:05:23 CEST 2003
+ * Last update: Sat Sep 13 03:08:28 MDT 2003
  */
 
 #ifdef ARCH_alpha
@@ -13,17 +13,22 @@ base-installer
 baseconfig-udeb
 bogl-bterm-udeb
 brltty-modules-2.4.21-1-generic-udeb
+brltty-modules-2.4.21-5-generic-udeb
 brltty-udeb
 bterm-unifont
+busybox-cvs-udeb
 busybox-udeb
 cdebconf-gtk-udeb
 cdebconf-newt-udeb
+cdebconf-priority
 cdebconf-slang-udeb
+cdebconf-text-udeb
 cdebconf-udeb
 cdrom-checker
 cdrom-detect
 cdrom-modules-2.4.20-generic-udeb
 cdrom-modules-2.4.21-1-generic-udeb
+cdrom-modules-2.4.21-5-generic-udeb
 cdrom-retriever
 choose-mirror
 console-keymaps-acorn
@@ -57,7 +62,9 @@ ethdetect
 evms-udeb
 ext3-modules-2.4.20-generic-udeb
 ext3-modules-2.4.21-1-generic-udeb
+ext3-modules-2.4.21-5-generic-udeb
 fb-modules-2.4.21-1-generic-udeb
+fb-modules-2.4.21-5-generic-udeb
 fbset-udeb
 fdisk-udeb
 file-retriever
@@ -68,13 +75,17 @@ hw-detect
 hw-detect-full
 ide-modules-2.4.20-generic-udeb
 ide-modules-2.4.21-1-generic-udeb
+ide-modules-2.4.21-5-generic-udeb
 ipv6-modules-2.4.20-generic-udeb
 ipv6-modules-2.4.21-1-generic-udeb
+ipv6-modules-2.4.21-5-generic-udeb
 isa-pnp-modules-2.4.20-generic-udeb
 isa-pnp-modules-2.4.21-1-generic-udeb
+isa-pnp-modules-2.4.21-5-generic-udeb
 kbd-chooser
 kernel-image-2.4.20-generic-udeb
 kernel-image-2.4.21-1-generic-udeb
+kernel-image-2.4.21-5-generic-udeb
 kernel-installer
 languagechooser
 libblkid1-udeb
@@ -92,6 +103,8 @@ lvm10-udeb
 lvmcfg
 main-menu
 md-modules-2.4.21-1-generic-udeb
+md-modules-2.4.21-5-generic-udeb
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -100,12 +113,16 @@ netcfg-dhcp
 netcfg-ppp
 netcfg-static
 nic-extra-modules-2.4.21-1-generic-udeb
+nic-extra-modules-2.4.21-5-generic-udeb
 nic-modules-2.4.20-generic-udeb
 nic-modules-2.4.21-1-generic-udeb
+nic-modules-2.4.21-5-generic-udeb
 nic-modules-extra-2.4.20-generic-udeb
 nic-modules-shared-2.4.20-generic-udeb
 nic-shared-modules-2.4.21-1-generic-udeb
+nic-shared-modules-2.4.21-5-generic-udeb
 parport-modules-2.4.21-1-generic-udeb
+parport-modules-2.4.21-5-generic-udeb
 partconf
 partconf-find-partitions
 partconf-mkfstab
@@ -113,27 +130,35 @@ parted-udeb
 partitioner
 plip-modules-2.4.20-generic-udeb
 plip-modules-2.4.21-1-generic-udeb
+plip-modules-2.4.21-5-generic-udeb
 ppp-modules-2.4.20-generic-udeb
 ppp-modules-2.4.21-1-generic-udeb
+ppp-modules-2.4.21-5-generic-udeb
 ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfs-modules-2.4.21-5-generic-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 scsi-modules-2.4.20-generic-udeb
 scsi-modules-2.4.21-1-generic-udeb
+scsi-modules-2.4.21-5-generic-udeb
 serial-modules-2.4.20-generic-udeb
 serial-modules-2.4.21-1-generic-udeb
+serial-modules-2.4.21-5-generic-udeb
 slang1a-utf8-udeb
 socket-modules-2.4.20-generic-udeb
 socket-modules-2.4.21-1-generic-udeb
+socket-modules-2.4.21-5-generic-udeb
 srm-reader
 ttf-freefont-udeb
 udhcpc-udeb
 udpkg
 usb-discover
 usb-modules-2.4.21-1-generic-udeb
+usb-modules-2.4.21-5-generic-udeb
 zlib-udeb
 zlib1g-udeb
 #endif
@@ -150,7 +175,9 @@ busybox-cvs-udeb
 busybox-udeb
 cdebconf-gtk-udeb
 cdebconf-newt-udeb
+cdebconf-priority
 cdebconf-slang-udeb
+cdebconf-text-udeb
 cdebconf-udeb
 cdrom-checker
 cdrom-detect
@@ -209,6 +236,7 @@ libpng12-0-udeb
 lvm10-udeb
 lvmcfg
 main-menu
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -225,6 +253,7 @@ ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 slang1a-utf8-udeb
@@ -248,7 +277,9 @@ busybox-cvs-udeb
 busybox-udeb
 cdebconf-gtk-udeb
 cdebconf-newt-udeb
+cdebconf-priority
 cdebconf-slang-udeb
+cdebconf-text-udeb
 cdebconf-udeb
 cdrom-checker
 cdrom-detect
@@ -293,6 +324,8 @@ hw-detect-full
 kbd-chooser
 kernel-image-2.4.20-32-udeb
 kernel-image-2.4.20-64-udeb
+kernel-image-2.4.21-32-udeb
+kernel-image-2.4.21-64-udeb
 kernel-installer
 languagechooser
 libblkid1-udeb
@@ -305,6 +338,7 @@ libpng12-0-udeb
 lvm10-udeb
 lvmcfg
 main-menu
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -322,6 +356,7 @@ ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 slang1a-utf8-udeb
@@ -375,6 +410,7 @@ libpng12-0-udeb
 lvmcfg
 main-menu
 nano-udeb
+net-retriever
 netcfg-dhcp
 netcfg-static
 parted-udeb
@@ -394,6 +430,7 @@ baseconfig-udeb
 bogl-bterm-udeb
 brltty-modules-2.4.20-1-386-udeb
 brltty-modules-2.4.21-1-386-udeb
+brltty-modules-2.4.21-5-386-udeb
 brltty-udeb
 bterm-unifont
 busybox-cvs-net-udeb
@@ -409,6 +446,7 @@ cdrom-checker
 cdrom-detect
 cdrom-modules-2.4.20-1-386-udeb
 cdrom-modules-2.4.21-1-386-udeb
+cdrom-modules-2.4.21-5-386-udeb
 cdrom-retriever
 choose-mirror
 console-keymaps-acorn
@@ -442,13 +480,16 @@ ethdetect
 evms-udeb
 ext3-modules-2.4.20-1-386-udeb
 ext3-modules-2.4.21-1-386-udeb
+ext3-modules-2.4.21-5-386-udeb
 fb-modules-2.4.20-1-386-udeb
 fb-modules-2.4.21-1-386-udeb
+fb-modules-2.4.21-5-386-udeb
 fbset-udeb
 fdisk-udeb
 file-retriever
 floppy-modules-2.4.20-1-386-udeb
 floppy-modules-2.4.21-1-386-udeb
+floppy-modules-2.4.21-5-386-udeb
 floppy-retriever
 fontconfig-udeb
 grub-installer
@@ -456,17 +497,23 @@ hw-detect
 hw-detect-full
 ide-modules-2.4.20-1-386-udeb
 ide-modules-2.4.21-1-386-udeb
+ide-modules-2.4.21-5-386-udeb
 input-modules-2.4.20-1-386-udeb
 input-modules-2.4.21-1-386-udeb
+input-modules-2.4.21-5-386-udeb
 ipv6-modules-2.4.20-1-386-udeb
 ipv6-modules-2.4.21-1-386-udeb
+ipv6-modules-2.4.21-5-386-udeb
 irda-modules-2.4.20-1-386-udeb
 irda-modules-2.4.21-1-386-udeb
+irda-modules-2.4.21-5-386-udeb
 isa-pnp-modules-2.4.20-1-386-udeb
 isa-pnp-modules-2.4.21-1-386-udeb
+isa-pnp-modules-2.4.21-5-386-udeb
 kbd-chooser
 kernel-image-2.4.20-1-386-udeb
 kernel-image-2.4.21-1-386-udeb
+kernel-image-2.4.21-5-386-udeb
 kernel-installer
 languagechooser
 libatk1.0-0-udeb
@@ -493,6 +540,8 @@ lvmcfg
 main-menu
 md-modules-2.4.20-1-386-udeb
 md-modules-2.4.21-1-386-udeb
+md-modules-2.4.21-5-386-udeb
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -502,43 +551,56 @@ netcfg-ppp
 netcfg-static
 nic-extra-modules-2.4.20-1-386-udeb
 nic-extra-modules-2.4.21-1-386-udeb
+nic-extra-modules-2.4.21-5-386-udeb
 nic-modules-2.4.20-1-386-udeb
 nic-modules-2.4.21-1-386-udeb
+nic-modules-2.4.21-5-386-udeb
 nic-modules-extra-2.4.20-1-386-udeb
 nic-modules-shared-2.4.20-1-386-udeb
+nic-pcmcia-modules-2.4.21-5-386-udeb
 nic-shared-modules-2.4.20-1-386-udeb
 nic-shared-modules-2.4.21-1-386-udeb
-packet-socket-2.4.19-386-udeb
+nic-shared-modules-2.4.21-5-386-udeb
 parport-modules-2.4.20-1-386-udeb
 parport-modules-2.4.21-1-386-udeb
+parport-modules-2.4.21-5-386-udeb
 partconf
 partconf-find-partitions
 partconf-mkfstab
 parted-udeb
 partitioner
+pcmcia-modules-2.4.21-5-386-udeb
 plip-modules-2.4.20-1-386-udeb
 plip-modules-2.4.21-1-386-udeb
+plip-modules-2.4.21-5-386-udeb
 ppp-modules-2.4.20-1-386-udeb
 ppp-modules-2.4.21-1-386-udeb
+ppp-modules-2.4.21-5-386-udeb
 ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfs-modules-2.4.21-5-386-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 scsi-modules-2.4.20-1-386-udeb
 scsi-modules-2.4.21-1-386-udeb
+scsi-modules-2.4.21-5-386-udeb
 serial-modules-2.4.20-1-386-udeb
 serial-modules-2.4.21-1-386-udeb
+serial-modules-2.4.21-5-386-udeb
 slang1a-utf8-udeb
 socket-modules-2.4.20-1-386-udeb
 socket-modules-2.4.21-1-386-udeb
+socket-modules-2.4.21-5-386-udeb
 ttf-freefont-udeb
 udhcpc-udeb
 udpkg
 usb-discover
 usb-modules-2.4.20-1-386-udeb
 usb-modules-2.4.21-1-386-udeb
+usb-modules-2.4.21-5-386-udeb
 zlib-udeb
 zlib1g-udeb
 #endif
@@ -555,7 +617,9 @@ busybox-cvs-udeb
 busybox-udeb
 cdebconf-gtk-udeb
 cdebconf-newt-udeb
+cdebconf-priority
 cdebconf-slang-udeb
+cdebconf-text-udeb
 cdebconf-udeb
 cdrom-checker
 cdrom-detect
@@ -618,6 +682,7 @@ libpng12-0-udeb
 lvm10-udeb
 lvmcfg
 main-menu
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -636,6 +701,7 @@ ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 scsi-modules-2.4.20-ia64-udeb
@@ -660,7 +726,9 @@ busybox-cvs-udeb
 busybox-udeb
 cdebconf-gtk-udeb
 cdebconf-newt-udeb
+cdebconf-priority
 cdebconf-slang-udeb
+cdebconf-text-udeb
 cdebconf-udeb
 cdrom-checker
 cdrom-detect
@@ -722,6 +790,7 @@ lvm10-udeb
 lvmcfg
 mac-fdisk-udeb
 main-menu
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -739,6 +808,7 @@ ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 scsi-modules-2.2.20-mac-udeb
@@ -765,7 +835,9 @@ busybox-cvs-udeb
 busybox-udeb
 cdebconf-gtk-udeb
 cdebconf-newt-udeb
+cdebconf-priority
 cdebconf-slang-udeb
+cdebconf-text-udeb
 cdebconf-udeb
 cdrom-checker
 cdrom-detect
@@ -825,6 +897,7 @@ libpng12-0-udeb
 lvm10-udeb
 lvmcfg
 main-menu
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -842,6 +915,7 @@ ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 slang1a-utf8-udeb
@@ -865,7 +939,9 @@ busybox-cvs-udeb
 busybox-udeb
 cdebconf-gtk-udeb
 cdebconf-newt-udeb
+cdebconf-priority
 cdebconf-slang-udeb
+cdebconf-text-udeb
 cdebconf-udeb
 cdrom-checker
 cdrom-detect
@@ -926,6 +1002,7 @@ libpng12-0-udeb
 lvm10-udeb
 lvmcfg
 main-menu
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -944,6 +1021,7 @@ ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 slang1a-utf8-udeb
@@ -967,7 +1045,9 @@ busybox-cvs-udeb
 busybox-udeb
 cdebconf-gtk-udeb
 cdebconf-newt-udeb
+cdebconf-priority
 cdebconf-slang-udeb
+cdebconf-text-udeb
 cdebconf-udeb
 cdrom-checker
 cdrom-detect
@@ -1032,6 +1112,7 @@ libpng12-0-udeb
 lvm10-udeb
 lvmcfg
 main-menu
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -1065,6 +1146,7 @@ ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 scsi-modules-2.4.19-powerpc-udeb
@@ -1091,12 +1173,15 @@ autopartkit
 base-installer
 baseconfig-udeb
 bogl-bterm-udeb
+brltty-udeb
 bterm-unifont
 busybox-cvs-udeb
 busybox-udeb
 cdebconf-gtk-udeb
 cdebconf-newt-udeb
+cdebconf-priority
 cdebconf-slang-udeb
+cdebconf-text-udeb
 cdebconf-udeb
 cdrom-checker
 cdrom-detect
@@ -1158,6 +1243,7 @@ libpng12-0-udeb
 lvm10-udeb
 lvmcfg
 main-menu
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -1175,6 +1261,7 @@ ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 s390-dasd
@@ -1201,7 +1288,9 @@ busybox-cvs-udeb
 busybox-udeb
 cdebconf-gtk-udeb
 cdebconf-newt-udeb
+cdebconf-priority
 cdebconf-slang-udeb
+cdebconf-text-udeb
 cdebconf-udeb
 cdrom-checker
 cdrom-detect
@@ -1263,6 +1352,7 @@ libpng12-0-udeb
 lvm10-udeb
 lvmcfg
 main-menu
+mkreiserfs-udeb
 modutils-basic
 modutils-full
 nano-udeb
@@ -1281,6 +1371,7 @@ ppp-udeb
 prebaseconfig
 pump-udeb
 raidtools2-udeb
+reiserfsprogs-udeb
 rootskel
 rootskel-locale
 scsi-modules-2.4.21-sparc64-udeb
@@ -1323,6 +1414,7 @@ hw-detect-full
 kernel-installer
 languagechooser
 lvmcfg
+net-retriever
 prebaseconfig
 ttf-freefont-udeb
 usb-discover
diff --git a/tasks/debian-installer+kernel b/tasks/debian-installer+kernel
index 8b57d0c2..058dc290 100644
--- a/tasks/debian-installer+kernel
+++ b/tasks/debian-installer+kernel
@@ -8,6 +8,11 @@
 #include <debian-installer>
 cramfsprogs
 dash
+discover
+eject
+grub
 initrd-tools
-kernel-image-2.4.19-386
+kernel-image-2.4.21-4-386
+locales
+lvm10
 zlib1g
diff --git a/tools/boot/sarge/boot-i386 b/tools/boot/sarge/boot-i386
index 6dbe742d..6c3cf020 100755
--- a/tools/boot/sarge/boot-i386
+++ b/tools/boot/sarge/boot-i386
@@ -31,7 +31,7 @@ KTYPE[1]="" #isolinux multiboot in fact
 KTYPE[2]="cdrom-image"
 # XXX add net-image back when it's fixed
 KTYPE[3]=""
-KTYPE[4]="cdrom144-image"
+KTYPE[4]=""
 KTYPE[5]=""
 KTYPE[6]=""
 KTYPE[7]=""
@@ -43,9 +43,9 @@ THISTYPE=${KTYPE[$NN]}
 
 # Download boot images
 # XXX add net-image.img back when it's fixed
-for image in cdrom-image.img cdrom-initrd.gz cdrom144-image.img cdrom144-initrd.gz net-initrd.gz vmlinuz ; do
+for image in cd_drivers-image.img cdrom-image.img cdrom-initrd.gz floppy-image.img floppy-initrd.gz net_drivers-image.img netboot-initrd.gz vmlinuz ; do
     if [ ! -e "$image" ]; then
-	wget -q http://people.debian.org/~tfheen/d-i/images/daily/$image
+	wget -q http://people.debian.org/~sjogren/d-i/images/daily/$image
     fi
 done
 
@@ -55,8 +55,7 @@ if [ "$NN" = "1" ]; then
     cp -f $BASEDIR/data/$CODENAME/isolinux.bin boot$N/isolinux/
     cp -lf vmlinuz $CDDIR/install/
     cp -lf cdrom-initrd.gz $CDDIR/install/cdrom.gz
-    cp -lf cdrom144-initrd.gz $CDDIR/install/cdrom144.gz
-    cp -lf net-initrd.gz $CDDIR/install/net.gz
+    cp -lf netboot-initrd.gz $CDDIR/install/net.gz
     echo -n "-cache-inodes -J -l -b isolinux/isolinux.bin -c isolinux/boot.cat -no-emul-boot -boot-load-size 4 -boot-info-table " > $N.mkisofs_opts
 else
     if [ -n "$THISTYPE" ]; then
@@ -79,6 +78,7 @@ if [ "$NN" = "1" ]; then
 
 # populate the install directory as well
 cp -lf *.img $CDDIR/install
+cp -lf floppy-initrd.gz $CDDIR/install
 
 # ISOLINUX setup
 
@@ -96,9 +96,6 @@ LABEL linux
   kernel /install/vmlinuz
 LABEL cdrom
   kernel /install/vmlinuz
-LABEL cdrom144
-  kernel /install/vmlinuz
-  append vga=normal initrd=/install/cdrom144.gz ramdisk_size=8192 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
 LABEL net
   kernel /install/vmlinuz
   append vga=normal initrd=/install/net.gz ramdisk_size=8192 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
@@ -132,11 +129,9 @@ smartdrv /c
 
 echo Please choose an install method now
 echo 1= CDROM install
-echo 2= CDROM install (1.44Mb image)
-echo 3= NET install
+echo 2= NET install
 
-choice /c:123
-if errorlevel 3 goto THREE
+choice /c:12
 if errorlevel 2 goto TWO
 if errorlevel 1 goto ONE
 
@@ -148,10 +143,6 @@ echo using CDROM install
 loadlin.exe vmlinuz vga=normal initrd=cdrom.gz ramdisk_size=8192 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
 
 :TWO
-echo using CDROM (1.44Mb) install
-loadlin.exe vmlinuz vga=normal initrd=cdrom144.gz ramdisk_size=8192 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
-
-:THREE
 echo using NET install
 loadlin.exe vmlinuz vga=normal initrd=net.gz ramdisk_size=8192 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
 
